I just did a clean install of Suse 9.3 and was pleased to see that it
came with ruby already installed.  However it was not the latest
version, but 1.8.1.  Rails needs 1.8.2, so I downloaded the source and
ran ./configure, make, make install

All of those ran perfectly without errors.  But when I run "ruby -v"
at the command line, I still get 1.8.1 as the version number.  I
thought it just might be an issue with changing a symbolic link, but I
can find the binary for ruby 1.8.2 anywhere.  I tried reading /
greping the make install output, but that just made my eyes water.

Where did it go?  Am I missing a terribly easy step somewhere?  I've
been developing on windows to avoid this sort of thing, but want to
make the leap here.  Installing ruby on windows is so simple.  But
then you also have all the other problems running on windows entails.

Thanks,
Josh